package de.tu_dresden.diplom.richter_mirko_mat2628335.common.dependency;

import org.apache.log4j.Logger;
import junit.framework.TestCase;

/**
 * 
 */
public class UTSOAPDependency extends TestCase{

   private static final Logger logger = Logger.getLogger(UTSOAPDependency.class);

   public void testAddDependencyStatement(){
      SOAPDependency dep = new SOAPDependency();
      assertEquals(dep.getDependencyStatements(), null);
      dep.addDependencyStatement(new SOAPDependencyStatement("dep#1"));
      assertEquals(dep.getDependencyStatements().length, 1);
      dep.addDependencyStatement(new SOAPDependencyStatement("dep#2"));
      assertEquals(dep.getDependencyStatements().length, 2);
      IFSOAPDependencyStatement[] stmnts = dep.getDependencyStatements();
      assertEquals(stmnts[0].getDependency(), "dep#1");
      assertEquals(stmnts[1].getDependency(), "dep#2");

   }

}
